commit:     22c45c288aa7aa2653662d2335e3cf2bac370e1b
Author:     Yuri Konotopov <ykonotopov <AT> gnome <DOT> org>
AuthorDate: Wed Jan  4 09:52:52 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Jan  4 23:18:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22c45c28

gnome-extra/chrome-gnome-shell: version bump.

Closes: https://github.com/gentoo/gentoo/pull/3318

 gnome-extra/chrome-gnome-shell/Manifest            |  1 +
 .../chrome-gnome-shell/chrome-gnome-shell-8.ebuild | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/gnome-extra/chrome-gnome-shell/Manifest 
b/gnome-extra/chrome-gnome-shell/Manifest
index b9a4966..4fa3000 100644
--- a/gnome-extra/chrome-gnome-shell/Manifest
+++ b/gnome-extra/chrome-gnome-shell/Manifest
@@ -1 +1,2 @@
 DIST chrome-gnome-shell-7.1.tar.xz 99712 SHA256 
0a1d791a149ceabdaec09bd65656781fde20618bd219f467a9f50f3c57d4842f SHA512 
da41068049c4d221cf7e1ed6d171fb63cd236ab5afc7374ec72774da092630ca1fb459b178c364a3d014919aedd3e875c1c698b5a42d4e3c7a2f49e0f2610743
 WHIRLPOOL 
04edac7e7980723833df589a70e46f474e71e1fe2e771ed98cd3e9181c890fc501b20aa3665c5322fcc9286771820fee08160d6dfc37ad084767db7db5812330
+DIST chrome-gnome-shell-8.tar.xz 143224 SHA256 
2621a1e0762ff39473180a0eed49414594ea3eae4812acd584d89374221b37c5 SHA512 
61acd4b0564892667bd1468430ddfff4c0cfbe92b573d8b7e4c5448c25266bd0ee6e89e9bebe08553de4f9661ceeea46f5af38d980051491c40ed7deb24e3277
 WHIRLPOOL 
9e6de120bc84a4f431201753587864f6878eca0937624eccaea60e9f7c20a385ee0867107f823b131dc58e0bac121cdccda6e42861a5bc4ebbb45b7be7b374f8

diff --git a/gnome-extra/chrome-gnome-shell/chrome-gnome-shell-8.ebuild 
b/gnome-extra/chrome-gnome-shell/chrome-gnome-shell-8.ebuild
new file mode 100644
index 00000000..c51dd30
--- /dev/null
+++ b/gnome-extra/chrome-gnome-shell/chrome-gnome-shell-8.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit cmake-utils python-single-r1
+
+DESCRIPTION="GNOME Shell integration for Chrome/Chromium, Firefox, Vivaldi, 
Opera browsers"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome";
+SRC_URI="mirror://gnome/sources/${PN}/${PV}/${P}.tar.xz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}
+       app-misc/jq
+       sys-apps/coreutils
+"
+RDEPEND="${PYTHON_DEPS}
+       dev-python/pygobject:3[${PYTHON_USEDEP}]
+       gnome-base/gnome-shell
+"
+
+src_configure() {
+       local mycmakeargs=( -DBUILD_EXTENSION=OFF )
+       cmake-utils_src_configure
+}
+
+src_install() {
+       # Chrome policy files should be removed with package.
+       # Otherwise it will not be possible to uninstall web extension
+       # from browser.
+       echo -n "CONFIG_PROTECT_MASK=\"" > 50"${PN}" || die
+       echo -n "/etc/chromium/policies/managed/${PN}.json " >> 50"${PN}" || die
+       echo "/etc/opt/chrome/policies/managed/${PN}.json\"" >> 50"${PN}" || die
+       doenvd 50"${PN}"
+
+       cmake-utils_src_install
+}

Reply via email to